import StoragePlace from "../enum";
import { TProduct } from "../types";

abstract class Product {
    public deliveryTimestamp: Date;
    public storagePlace: StoragePlace;
    public storageLifeDays: number;
    public name: string;

    constructor(data: TProduct) {
        this.deliveryTimestamp = data.deliveryTimestamp;
        this.storagePlace = data.storagePlace;
        this.storageLifeDays = data.storageLifeDays;
        this.name = data.name;
    };

    public isFresh(): boolean {
        return true;
    };
};

export default Product;